Skip to main content
`Ctrl`+`K`

# DMPlexCreateExodus

Create a `DMPLEX` mesh from an ExodusII file ID.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateExodus(MPI_Comm comm, PetscExodusIIInt exoid, PetscBool interpolate, DM *dm)

Collective

## Input Parameters

- comm - The MPI communicator

- exoid - The ExodusII id associated with a exodus file and obtained using ex_open

- interpolate - Create faces and edges in the mesh

## Output Parameter

- dm - The `DM` object representing the mesh

## See Also

DMPlex: Unstructured Grids, `DM`, `PETSCVIEWEREXODUSII`, `DMPLEX`, `DMCreate()`

## Level

beginner

## Location

src/dm/impls/plex/exodusii/plexexodusii2.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages